List HTTP Requests
curl -X GET "https://api.prd.rad.security/accounts/example_string/container_runtime_insights/http_requests?cluster_ids=example_string&q=example_string&filters=example_string&limit=42&offset=42" \
-H "Content-Type: application/json"
import requests
import json
url = "https://api.prd.rad.security/accounts/example_string/container_runtime_insights/http_requests?cluster_ids=example_string&q=example_string&filters=example_string&limit=42&offset=42"
headers = {
"Content-Type": "application/json"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.prd.rad.security/accounts/example_string/container_runtime_insights/http_requests?cluster_ids=example_string&q=example_string&filters=example_string&limit=42&offset=42", {
method: "GET",
headers: {
"Content-Type": "application/json"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.prd.rad.security/accounts/example_string/container_runtime_insights/http_requests?cluster_ids=example_string&q=example_string&filters=example_string&limit=42&offset=42", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.prd.rad.security/accounts/example_string/container_runtime_insights/http_requests?cluster_ids=example_string&q=example_string&filters=example_string&limit=42&offset=42')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
response = http.request(request)
puts response.body
{
"entries": [
{
"account_id": "example_string",
"app_protocol": "example_string",
"cluster_id": "example_string",
"destination_addr": "example_string",
"destination_hostname": "John Doe",
"destination_port": 42,
"destination_service_name": "John Doe",
"destination_service_namespace": "John Doe",
"destination_workload_kind": "example_string",
"destination_workload_name": "John Doe",
"destination_workload_namespace": "John Doe",
"first_seen_at": "example_string",
"has_pii": true,
"id": "example_string",
"last_seen_at": "example_string",
"method": "example_string",
"path": "example_string",
"pii_labels": [
"example_string"
],
"scheme": "example_string",
"source_workload_kind": "example_string",
"source_workload_name": "John Doe",
"source_workload_namespace": "John Doe",
"trusted_ip": true,
"trusted_ip_description": "example_string",
"trusted_ip_prefix": "example_string"
}
],
"has_more": true,
"total_count": 10
}
{
"code": "example_string",
"request_id": "example_string",
"status": 42,
"validation_details": [
{
"code": "example_string",
"field": "example_string",
"message": "example_string",
"param": "example_string"
}
]
}
GET
/accounts/{account_id}/container_runtime_insights/http_requestsGET
Base URLstring
Target server for requests. Edit to use your own host.
path
account_idstring
RequiredAccount id
query
cluster_idsstring
Cluster ids
query
qstring
Search phrase
query
filtersstring
Filters in format: key1:value1,key2:value2
query
limitinteger
Maximum number of results to return. Default: 100
query
offsetinteger
Number of results to skip. Default: 0
Request Preview
Response
Response will appear here after sending the request
Path Parameters
account_idstring
RequiredAccount id
Query Parameters
cluster_idsstring
Cluster ids
qstring
Search phrase
filtersstring
Filters in format: key1:value1,key2:value2
limitinteger
Maximum number of results to return. Default: 100
offsetinteger
Number of results to skip. Default: 0
Responses
entriesarray
has_moreboolean
total_countinteger
Was this page helpful?